%define name pybliographer
%define version 1.0.9
%define release 4mdk
%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Summary: 	A framework for working with bibliographic databases.
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Group:		Office
Url:            http://www.gnome.org:65348/pybliographer
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/pyblio/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.xpm.bz2
Source2:        %{name}-32.xpm.bz2
Source3:        %{name}-48.xpm.bz2
Requires: 	pygnome >= 1.4.0, recode
Buildrequires:	python-devel recode-devel libglib-devel pygnome
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Autoreqprov: no
Requires:		%{lib_name}

%description
Pybliographer is a tool for managing bibliographic databases. It
currently supports the following formats: 

- BibTeX (quite complete) 
- Medline (read-only) 
- Ovid files (from ovid.com) 
- Refer and EndNote (read only)
- SGML DocBook (write only) 

Pybliographer can be used for searching, editing, reformatting, etc.
In fact, it's a simple framework that provides easy to use python
classes and functions, and therefore can be extended to any usage
(generating HTML pages according to bibliographic searches, etc).

In addition to the scripting environment, a graphical GNOME interface
is available. It provides powerful editing capabilities, in addition
to a nice hierarchical search mechanism.

%package -n %{lib_name}
Summary:	Main library for pybliographer
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run pybliographer.

%package -n %{lib_name}-devel
Summary:        Headers for developing programs that will use pybliographer
Group:          Development/Python
Requires:       %{name} = %{version}
Requires:		%{lib_name} = %{version}
Obsoletes:		%{name}-devel
Provides:		%{lib_name_orig}-devel = %{version}

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use to develop
pybliographer applications.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%{find_lang} %{name}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="NO_XALF %{_bindir}/pybliographic" title="Pybliographic" icon="pybliographic.xpm" longtitle="A tool for managing bibliographic databases" needs="gnome" section="Applications/Publishing"
?package(%{name}): command="%{_bindir}/pybliographic" title="Pybliographic" icon="pybliographic.xpm" longtitle="A tool for managing bibliographic databases" needs="x11" section="Applications/Publishing"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/pybliographic.xpm
bzip2 -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/pybliographic.xpm
bzip2 -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/pybliographic.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_libdir}/pybliographer
%{_datadir}/gnome/help/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/pybliographer
%{_menudir}/%{name}
%{_iconsdir}/pybliographic.xpm
%{_miconsdir}/pybliographic.xpm
%{_liconsdir}/pybliographic.xpm

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libbibtex.a
%{_libdir}/libbibtex.la
%{_libdir}/libbibtex.so

%changelog
* Tue Jul 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-4mdk
- Merge spec (with fix for libification) from Guillaume Rousse <g.rousse@linux-mandrake.com>
 - move back modules from lib package to main package
 - fix compilation
 - split libraries in their own package
 - buildrequires python-devel and libglib-devel
 - truncated descriptions to 72 columns to please rpmlint

* Tue Jul 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- Clean at start of install part (fix miscompilation of Python modules)

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-2mdk
- Fix dependencies 

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-2mdk
- New office menu structure

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- updated to 1.0.8

* Thu Dec 21 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- updated by RA <Ralf.Ahlbrink@i.am>

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- used srpm from Guillaume Rousse :
	Tue Sep 26 2000 Guillaume Rousse <g.rousse@linux-mandrake.co> 
	- added recode require

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- used srpm from Guillaume Rousse :
	Thu Jul 27 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
	- new in contribs
	- specfile adaptation from original provided by Konrad Hinsen <hinsen@cnrs-orleans.fr>
